<!doctype html>
<html lang="es">

<head>
	<title>Plantilla BootStrap 4</title>
	<meta charset="utf-8">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/css/bootstrap.min.css" crossorigin="anonymous">

	<!-- Vue -->
	<script src="https://unpkg.com/vue@3"></script>
</head>

<body>
	<h1 class="display-4 text-center">Aplicación Banco</h1>

	<!--
		Documentación directivas
		https://vuejs.org/api/built-in-directives.html
	-->

	<div class="container">
		<div id="app">

			<input type="range" name="xd" v-model="font_size">
			<div :style="{ 'font-size': font_size + 'px' }">xd</div>

			<hr>


			<!-- Interpolacion -->
			<h3>Tipo de cuenta: {{ cuenta }}</h3>
			<h3>Titular: {{ titular }}</h3>
			<input type="text" v-model="titular">

			<br>

			<a v-bind:href="enlaceBanca">Acceso banco</a> <br>
			<a :href="enlaceBanca">Acceso banco 2</a> <br>

			<!-- Directiva v-html -->
			<p v-html="enlaceHTMLBanca"></p>

			<!-- Directiva v-text -->
			<p v-text="enlaceHTMLBanca"></p>
			<p>{{ enlaceHTMLBanca }}</p>

			<hr>




			<!--
				Condiciones -- Directivas

				¿Cuando usar if/else y cuando show?
				v-show es mejor para cuando algo va a aparecer y desaparecer
				constantemente, mientras que v-if es para cuando no suele
				cambiar tras cargar.
			-->

			<!-- if / else-->
			<h3 v-if="estado">Estado: Cuenta activada</h3>
			<h3 v-else>Estado: Cuenta no activada</h3>
			<br>

			<!-- v-show -->
			<h1 v-show="estado">Cuenta activa</h1>

			<!-- if / else if / else -->
			<h3 v-if="saldo >= 100">Saldo: {{ saldo }}</h3>
			<h3 class="text-danger" v-else-if="saldo < 100 && saldo > 0">Saldo: {{ saldo }}</h3>
			<h3 v-else>Sin saldo</h3>

			<!-- v-for -->
			<ul>
				<li v-for="(item, index) in items">                     <!-- v-for: arr[...objs{}] -->
					{{ parentMessage }} - {{ index }} - {{ item.message }}
				</li>
			</ul>

			<ul>
				<li v-for="(valor, clave, indices) in myObject">        <!-- v-for: obj{} -->
					{{ indices }}. {{ clave }} - {{ valor }}
				</li>
			</ul>

			<h3>Servicios disponibles</h3>
			<ul>                                                          <!-- v-for: arr[] -->
				<li v-for="(servicio, index) in servicios" :key="index">
					{{ index + 1 }} - {{ servicio }}
				</li>
			</ul>

			<h3>Habilitados</h3>
			<ul>
				<li v-for="(persona, index) in habilitados" :key="index"><!-- v-for: arr[...objs{}] -->
					{{ index + 1 }} - {{ persona.nombre }}
				</li>
			</ul>

			<button @click="agregarSaldo" class="btn btn-primary m1-3">
				Agregar Saldo
			</button>&nbsp;
			<button v-on:click="disminuirSaldo" class="btn btn-danger m1-3">
				Disminuir Saldo
			</button>

			<h3 class="bg-dark p1-3 mt-3 p-3 rounded" :class="[saldo > 100 ? 'text-success' : 'text-danger']">
				Saldo: {{ saldo }}
			</h3>

		</div>
	</div>

	<!-- JS principal -- Vue -->
	<script src="./main.js"></script>

	<!-- JS de Bootstrap -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.slim.min.js" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.6.0/umd/popper.min.js" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js" crossorigin="anonymous"></script>
</body>

</html>
